; ARTWORK.AHK - For displaying game artwork automatically.
; by Stefan Gagne of http://stefangagne.com

; From your Hyperspin launch scripts for game emulators, include this code 
; and call Artwork(FILENAME). If FILENAME doesn't exist it'll give up and copy
; a blank image instead. 

; Clean up by issuing a NoArtwork() command after your emulator exits.

Artwork(imagefile)
{ 
  ; If a full path to the file wasn't provided, use a default location.
  ; You will need to modify c:\etc accordingly.

  StringLeft, checker, imagefile, 2
  if (checker != "c:") 
   {      
     imagefile=c:\emulation\hyperspin\media\GAMECONSOLE\images\wheel\%imagefile%.png 
   }

  ; If the image file exists, we'll replace streaming.png with it.
  ; You'll need to modify c:\etc accordingly.  

  IfExist %imagefile%
   { 
     filecopy %imagefile%, c:\emulation\controls\streaming\streaming.png, 1
   }    
}

NoArtwork()
{ 
  ; Call this after the game is complete to blank out the art layer.
  ; You'll need to modify c:\etc accordingly.

  filecopy c:\emulation\controls\streaming\blank.png, c:\emulation\controls\streaming\streaming.png, 1
}