; SPLASHER.AHK - For displaying controls on a secondary monitor.
; by Stefan Gagne of http://stefangagne.com

; Since this is a very niche utility with limited purpose no step by step
; guide is available. Basically, from your Hyperspin launch scripts, include
; this code and call Splasher(FILENAME, FALLBACKFILE). If FILENAME doesn't
; exist it'll try to use FALLBACKFILE. When the emulator finishes and quits
; clean up by issuing a "SplashImage, off" in your script.

Splasher(tosplash, fallback=0)
{ 
  IfWinExist OBS 
  { 
    ; If I'm streaming, abandon ship. I use the second monitor for chat!
    return
  }

  ; Automatically supply a directory for the splash image unless one was
  ; already provided by the calling script.
  
   StringLeft, checker, tosplash, 2
    if (checker != "c:") 
     { tosplash=c:\emulation\controls\%tosplash%.png 
     }
    StringLeft, checker, fallback, 2
    if (checker != "c:") 
     { fallback=c:\emulation\controls\%fallback%.png 
     }

    ultimatesplash = "blargh"
    scaler = 1

   ; Check if the splash images exist. Try to use tosplash first, and if
   ; that fails, use fallback.

    IfExist %tosplash%
    { ultimatesplash = %tosplash%
    } 
    else IfExist %fallback%
    { ultimatesplash = %fallback%
    }
    else return

; This relies on IfranView, a command line image viewer, to get info about
; the height and width of the image. This is a filthy hack and I should be
; ashamed I'm using it.

Run, c:\emulation\iview\i_view64.exe %ultimatesplash% /info=c:\emulation\controls\temp.txt /killmesoftly
Sleep, 500
Loop, Read, c:\emulation\controls\temp.txt
{
  If A_LoopReadLine Contains Image dimensions
  {
    StringTrimLeft, Dimensions, A_LoopReadLine, 19
  }
}
   StringSplit, exploder, Dimensions, %A_Space%
   sx = %exploder1%
   sy = %exploder3%
   if (sx < 512)
   { sx := sx * 2
     sy := sy * 2 
     ; This scaler enlarges any image which is less than half the width
     ; of my mini-monitor.
   }

   ; these offsets put the splash image centered on my second monitor.
   wx := 512 - (sx / 2)
   wy := -300 - (sy / 2)

   ; Finally, SPLASH THAT IMAGE!
   SplashImage, %ultimatesplash%, B C11 CW000000 W%sx% H%sy% ZW%sx% ZH%sy% X%wx% Y%wy% A

; Be sure you issue a "SplashImage, off" after the emulator quits or you're
; gonna have a bad time.
    
}
